Subject: RE: New version of FID. WAS (Re: FID Draft - again)

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 25 Jun 2001 14:04:30 -0400

> -----Original Message-----
> From: Orit Levin [mailto:[email-masked]]
> Sent: Thursday, June 21, 2001 1:23 PM
> To: 'Jonathan Rosenberg'; 'Gonzalo Camarillo'; Joerg Ott
> Cc: Orit Levin; [email-masked]; [email-masked]
> Subject: RE: New version of FID. WAS (Re: FID Draft - again)
> 
> 
> I will have some pure editorial comments on the draft that I 
> hope sending to
> the authors later today.
> In regards to Jonathan's comments:
> 1. I fully agree that the description of "how MID attribute 
> may be used
> within SIP" should be defined and standardized. It can be 
> done, it would be
> a useful thing to have, but it is not a part of SDP. Hence I 
> suggest to
> remove the "SIP use" chapter from the draft itself. (BTW I 
> support 1b as a
> part of "SIP use" draft). The draft itself should define the standard
> meaning of the attributes to the applications, not when and how SDP
> descriptors are conveyed using protocols such as SIP.

Well, thats just going to slow things down for little benefit. SIP is not
the same as SDP yet has an appendix on how to use it. I see no reason why we
could not do the same, since, practically speaking, SIP is the main customer
of this extension to SDP.

> 3. In the example (which is really just an example) only a 
> single audio
> stream (the native language of the speaker) is coupled with 
> the media stream
> by using MID. All the rest should not be synchronized.

My point was, you're not listening to all of the others, so why would you
synchronize them? I am basically suggesting that a proper implementation
would do the following:

for all streams that are marked as part of the same FID group, pick one of
them. For those streams which remain, synchronize them.

This implementation would provide the correct lip-sync. 

An alternative, of course, is to mark streams to be lip-synced with the same
CNAME. Streams with different CNAMEs are not synced. This is consistent with
the meaning of CNAME (where the a major usage for it was cross-stream ID for
lip-sync), but not consistent with the way its computation is described,
which is for there to be a single CNAME per host.

Again, I'm not trying to beat it down, I'm just trying to understand the
motivating applications, and understand why some alternatives might not be
acceptable.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com